package ru.yandex.webmaster3.admin.action.events;

import ru.yandex.webmaster3.core.events2.HostEvent;
import ru.yandex.webmaster3.core.http.ActionResponse;
import ru.yandex.webmaster3.core.http.ActionStatus;

import java.util.List;

/**
 * @author avhaliullin
 */
public class ListHostEventsResponse implements ActionResponse.NormalResponse {
    private final long totalEvents;
    private final List<HostEvent> events;

    public ListHostEventsResponse(long totalEvents, List<HostEvent> events) {
        this.totalEvents = totalEvents;
        this.events = events;
    }

    public long getTotalEvents() {
        return totalEvents;
    }

    public List<HostEvent> getEvents() {
        return events;
    }
}
